%define		snap	2008-07-30
%define		ver	%(echo %{snap} | tr -d -)
%define		tpl	monobook
Summary:	Monobook template for DokuWiki
Summary(pl.UTF-8):	Szablon Monobook dla DokuWiki
Name:		dokuwiki-tpl-%{tpl}
Version:	%{ver}
Release:	1
License:	GPL v2
Group:		Applications/WWW
Source0:	http://tatewake.com/wiki/_media/projects:monobook-%{snap}.tar.bz2
# Source0-md5:	35608ad64b14c0ac2f61c0477609e3ab
Source1:	dokuwiki-find-lang.sh
URL:		http://tatewake.com/wiki/projects:monobook_for_dokuwiki
BuildRequires:	rpmbuild(macros) >= 1.268
Requires:	dokuwiki >= 20080505
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		dokuconf	/etc/webapps/dokuwiki
%define		dokudir		/usr/share/dokuwiki
%define		tpldir		%{dokudir}/lib/tpl/%{tpl}

%description
Gives DokuWiki the Wikipedia/Mediawiki look and feel, as well as more
functionality. Includes discussions without using a plugin and the
navigation can be edited like a wiki page.

%description -l pl.UTF-8
Ten szablon nadaje DokuWiki wygląd i zachowanie Wikipedii/Mediawiki, a
także trochę większą funkcjonalność. Zawiera dyskusje bez użycia
osobnej wtyczki, a nawigację można modyfikować podobnie jak stronę
wiki.

%prep
%setup -q -n %{tpl}

rm -f LICENSE # GPL v2

cat > INSTALL <<'EOF'
To activate this template add the following to your conf/local.php file:
$conf['template'] = '%{tpl}';
EOF

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{tpldir}
cp -a . $RPM_BUILD_ROOT%{tpldir}
rm -f $RPM_BUILD_ROOT%{tpldir}/{INSTALL,README}

# find locales
sh %{SOURCE1} %{name}.lang

%clean
rm -rf $RPM_BUILD_ROOT

%post
# force css cache refresh
if [ -f %{dokuconf}/local.php ]; then
	touch %{dokuconf}/local.php
fi

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc INSTALL README
%dir %{tpldir}
%{tpldir}/*.php
%{tpldir}/style.ini
%{tpldir}/common
%{tpldir}/conf
%{tpldir}/dokuwiki
%{tpldir}/monobook
%{tpldir}/user
# TODO: lang dirs inside. check if these can be also rpm lang tagged
%{tpldir}/wikipedia
%changelog
* Sat Dec 22 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/dokuwiki-tpl-monobook.git;a=log;h=master

* Fri Jan 30 2009 Elan Ruusamäe <glen@pld-linux.org> 554c72a
- add ca-va -> ca_VA

* Fri Jan 30 2009 Elan Ruusamäe <glen@pld-linux.org> 379caee
- do not use subshell, so the exit code could be propagated

* Wed Jan 28 2009 Elan Ruusamäe <glen@pld-linux.org> a576538
- barf if lang files not found

* Tue Jan 27 2009 Elan Ruusamäe <glen@pld-linux.org> 4519c30
- force css cache refresh after install

* Tue Jan 27 2009 Elan Ruusamäe <glen@pld-linux.org> 9b61472
- up to 2009-01-26 rc

* Fri Sep 19 2008 duddits <duddits@pld-linux.org> 0a51a39
- snap up to 2008-07-30
- %{_ver} macro updated
- needs dokuwiki >= 20080505

* Thu May 08 2008 Elan Ruusamäe <glen@pld-linux.org> 54dae78
- unify

* Thu May 08 2008 Elan Ruusamäe <glen@pld-linux.org> f92997f
- unify; rel 1

* Fri Jan 11 2008 Jakub Bogusz <qboosh@pld-linux.org> 8bbb6bd
- pl

* Tue Jan 08 2008 Elan Ruusamäe <glen@pld-linux.org> 3c7759f
- add sl-si -> sl

* Tue Jan 08 2008 Elan Ruusamäe <glen@pld-linux.org> 436f811
- use %lang

* Tue Jan 08 2008 Elan Ruusamäe <glen@pld-linux.org> 19e3e20
- find dokuwiki languages

* Fri Sep 07 2007 Elan Ruusamäe <glen@pld-linux.org> c27577b
- new

